Energia

Serial

## peek()

### Description

Returns the next byte (character) of incoming serial data without removing it from the internal serial buffer. That is, successive calls to peek() will return the same character, as will the next call to read(). peek() inherits from the Stream utility class.

### Syntax

Serial.peek()

### Parameters

None

### Returns

the first byte of incoming serial data available (or -1 if no data is available) - int

#### See also

- Serial.available()
- Serial.flush()
- Serial.read()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia getting started guide is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the guide are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes